<?php

namespace Quivers\Integration\Block\AdminHtml\Form;

use \Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray;
use \Magento\Directory\Model\Currency as currencyModel;
use Magento\Framework\Data\Form\Element\AbstractElement;

class CurrencyField extends AbstractFieldArray {

    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \Magento\Framework\Data\Form\Element\Factory $elementFactory,
        currencyModel $currencyModel,
        \Magento\Framework\DataObject $row,
        array $data = []
    )
    {
        $this->_elementFactory  = $elementFactory;
        $this->currencyModel = $currencyModel;
        $this->row = $row;
        parent::__construct($context,$data);
    }

	protected function _getElementHtml(AbstractElement $element)
    {
        $element->setDisabled('disabled');
        return $element->getElementHtml();
    }
}